t's space.

Gutenbergのバグで script が使えない?「返答が正しいJSONではありません」

jQueryの記事を作成しようとしていたら、ちょっとトラブルに逢いました。
今回はこの解決策を記事にしていこうと思います。

今回の問題点

Gutenberg(グーテンベルク)で記事を作成して公開しようとしたところ、このようなエラーが出ました。

「更新に失敗しました。エラーメッセージ:返答が正しいJSONではありません。」

原因

根本的な原因は分かりませんでした。しかし、以下のコードを入力して更新したらエラーが発生することが判明しました。

<script></script>

解決策

WordPressのプラグイン「Classic Editor」をインストールし、有効化します。
そうすると、投稿画面がGutenbergから従来のエディターに変化します。
これを使用することにより、scriptタグを使用することができました。

原因が根本的に分からず、妥協案となってしまいましたが、もしこのようなトラブルが起きたら参考にして頂けたらと思います。

Comment